/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2010 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */


package org.ow2.jonas.cdi.weld.internal.mock;

import java.util.Collection;

import org.jboss.weld.bootstrap.api.Bootstrap;
import org.jboss.weld.bootstrap.spi.BeanDeploymentArchive;
import org.jboss.weld.bootstrap.spi.Deployment;
import org.ow2.jonas.cdi.weld.IWeldService;
import org.ow2.util.archive.api.IArchive;

/**
 * A {@code MockWeldService} is ...
 *
 * @author Guillaume Sauthier
 */
public class MockWeldService implements IWeldService {
    public boolean isCdiEnabled(IArchive archive) {
        return true;
    }

    public void connectBeanDeploymentArchives(Collection<BeanDeploymentArchive> childs, Collection<BeanDeploymentArchive> parents) {
        
    }

    public Bootstrap startWeldContainer(Deployment deployment) {
        return null;
    }
}
